'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

var _fsExtra = require('fs-extra');

var _fsExtra2 = _interopRequireDefault(_fsExtra);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _webpack = require('webpack');

var _webpack2 = _interopRequireDefault(_webpack);

var _webpackMerge = require('webpack-merge');

var _webpackMerge2 = _interopRequireDefault(_webpackMerge);

var _offlinePlugin = require('offline-plugin');

var _offlinePlugin2 = _interopRequireDefault(_offlinePlugin);

var _webpackCommonConfig = require('./webpack.common.config.babel');

var _webpackCommonConfig2 = _interopRequireDefault(_webpackCommonConfig);

var _configuration = require('../share/configuration');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Package = _fsExtra2.default.readJSONSync(_path2.default.join(_configuration.rootDir, './package.json'));
const DefinePlugin = _webpack2.default.DefinePlugin;
const UglifyJsPlugin = _webpack2.default.optimize.UglifyJsPlugin;

exports.default = (0, _webpackMerge2.default)(_webpackCommonConfig2.default, {
  devtool: false,
  output: {
    filename: '[name].[chunkhash].js'
  },
  plugins: [
  /**
   * Define some global variables
   */
  new DefinePlugin({
    'process.env': {
      production: (0, _stringify2.default)(true)
    }
  }),

  /**
   * Compress js files
   */
  new UglifyJsPlugin({
    sourceMap: false,
    mangle: false,
    compress: {
      warnings: false
    },
    output: {
      comments: false
    }
  }),

  /**
   * Generate Offline web page
   * docs: https://github.com/NekR/offline-plugin/blob/master/docs/options.md
   */
  new _offlinePlugin2.default({
    publicPath: _configuration.publicPath,
    autoUpdate: true,
    safeToUseOptionalCaches: true,
    rewrites: assets => _configuration.publicPath === assets ? _configuration.publicPath + 'index.html' : assets,
    caches: {
      main: [':rest:'],
      additional: [':externals:'],
      optional: ['*.js']
    },
    ServiceWorker: {
      minify: true,
      output: 'service-worker.js',
      scope: '/',
      cacheName: Package.name,
      publicPath: '/service-worker.js',
      prefetchRequest: {
        credentials: 'omit',
        mode: 'cors'
      }
    }
  })]
});