'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

var _webpack = require('webpack');

var _webpack2 = _interopRequireDefault(_webpack);

var _webpackMerge = require('webpack-merge');

var _webpackMerge2 = _interopRequireDefault(_webpackMerge);

var _webpackCommonConfig = require('./webpack.common.config.babel');

var _webpackCommonConfig2 = _interopRequireDefault(_webpackCommonConfig);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const DefinePlugin = _webpack2.default.DefinePlugin;

exports.default = (0, _webpackMerge2.default)(_webpackCommonConfig2.default, {
  devtool: 'inline',
  stats: 'errors-only',
  plugins: [
  /**
   * Define some global variables
   */
  new DefinePlugin({
    'process.env': {
      production: (0, _stringify2.default)(true),
      unitest: (0, _stringify2.default)(true)
    }
  })],
  /**
   * Sinon setting
   *
   * UMD will make compiled occur some error
   * Error:
   * modules[moduleId].call is not a function
   * Issue: https://github.com/webpack/webpack/issues/304
   *
   * @todo 后面版本修复后删除
   */
  module: {
    noParse: [/node_modules\/sinon\//]
  },
  resolve: {
    alias: {
      sinon: 'sinon/pkg/sinon.js'
    }
  }
});