'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.plugins = exports.modules = exports.variables = exports.publicPath = exports.port = exports.name = exports.nginxDir = exports.tmpDir = exports.logDir = exports.distDir = exports.srcDir = exports.execDir = exports.rootDir = undefined;

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

var _fsExtra = require('fs-extra');

var _fsExtra2 = _interopRequireDefault(_fsExtra);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _mapValues = require('lodash/mapValues');

var _mapValues2 = _interopRequireDefault(_mapValues);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const rootDir = exports.rootDir = process.cwd();
const execDir = exports.execDir = _path2.default.join(__dirname, '../../');

let rcSettings = {};
let rcFile = _path2.default.join(rootDir, '.ngwprc.json');
if (_fsExtra2.default.existsSync(rcFile)) {
  rcSettings = _fsExtra2.default.readJSONSync(rcFile);
}

let pkgSettings = {};
let pkgFile = _path2.default.join(rootDir, './package.json');
if (_fsExtra2.default.existsSync(pkgFile)) {
  pkgSettings = _fsExtra2.default.readJSONSync(pkgFile);
}

const srcDir = exports.srcDir = _path2.default.join(rootDir, rcSettings.src || 'src');
const distDir = exports.distDir = _path2.default.join(rootDir, rcSettings.dist || 'dist');
const logDir = exports.logDir = _path2.default.join(rootDir, rcSettings.log || 'logs');
const tmpDir = exports.tmpDir = _path2.default.join(rootDir, rcSettings.tmp || '.temporary');
const nginxDir = exports.nginxDir = _path2.default.join(rootDir, rcSettings.vhosts || 'vhosts');

const name = exports.name = rcSettings.name || pkgSettings.name || '';
const port = exports.port = rcSettings.port || 8080;
const publicPath = exports.publicPath = rcSettings.publicPath;
const variables = exports.variables = (0, _mapValues2.default)(rcSettings.variables, _stringify2.default);
const modules = exports.modules = rcSettings.modules || [];
const plugins = exports.plugins = rcSettings.plugins || [];