'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.absolute = absolute;

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * check path is absolute or not.
 * if not, it will join cwd path in front of path.
 * @param  {String} file path
 * @param  {String} cwd  addition path
 * @return {String}
 */
function absolute(file = './', cwd = process.cwd()) {
  if (_path2.default.isAbsolute(file)) {
    return file;
  }

  return _path2.default.join(cwd, file);
}